[<prev] [next>] [<thread-prev] [thread-next>] [day] [month] [year] [list]
Message-Id: <20220519032005.1273691-3-irogers@google.com>
Date: Wed, 18 May 2022 20:20:02 -0700
From: Ian Rogers <irogers@...gle.com>
To: Michael Petlan <mpetlan@...hat.com>,
Peter Zijlstra <peterz@...radead.org>,
Ingo Molnar <mingo@...hat.com>,
Arnaldo Carvalho de Melo <acme@...nel.org>,
Mark Rutland <mark.rutland@....com>,
Alexander Shishkin <alexander.shishkin@...ux.intel.com>,
Jiri Olsa <jolsa@...nel.org>,
Namhyung Kim <namhyung@...nel.org>,
Alexei Starovoitov <ast@...nel.org>,
Daniel Borkmann <daniel@...earbox.net>,
Andrii Nakryiko <andrii@...nel.org>,
Martin KaFai Lau <kafai@...com>,
Song Liu <songliubraving@...com>, Yonghong Song <yhs@...com>,
John Fastabend <john.fastabend@...il.com>,
KP Singh <kpsingh@...nel.org>,
James Clark <james.clark@....com>,
Kan Liang <kan.liang@...ux.intel.com>,
Quentin Monnet <quentin@...valent.com>,
Dave Marchevsky <davemarchevsky@...com>,
Zhengjun Xing <zhengjun.xing@...ux.intel.com>,
Lv Ruyi <lv.ruyi@....com.cn>, linux-perf-users@...r.kernel.org,
linux-kernel@...r.kernel.org, netdev@...r.kernel.org,
bpf@...r.kernel.org
Cc: Stephane Eranian <eranian@...gle.com>,
Ian Rogers <irogers@...gle.com>
Subject: [PATCH 2/5] perf stat: Add stat record+report test
This would have caught:
https://lore.kernel.org/linux-perf-users/CAP-5=fWQR=sCuiSMktvUtcbOLidEpUJLCybVF6=BRvORcDOq+g@mail.gmail.com/
Signed-off-by: Ian Rogers <irogers@...gle.com>
---
tools/perf/tests/shell/stat.sh | 13 +++++++++++++
1 file changed, 13 insertions(+)
diff --git a/tools/perf/tests/shell/stat.sh b/tools/perf/tests/shell/stat.sh
index c7894764d4a6..9313ef2739e0 100755
--- a/tools/perf/tests/shell/stat.sh
+++ b/tools/perf/tests/shell/stat.sh
@@ -16,6 +16,18 @@ test_default_stat() {
echo "Basic stat command test [Success]"
}
+test_stat_record_report() {
+ echo "stat record and report test"
+ if ! perf stat record -o - true | perf stat report -i - 2>&1 | \
+ egrep -q "Performance counter stats for 'pipe':"
+ then
+ echo "stat record and report test [Failed]"
+ err=1
+ return
+ fi
+ echo "stat record and report test [Success]"
+}
+
test_topdown_groups() {
# Topdown events must be grouped with the slots event first. Test that
# parse-events reorders this.
@@ -62,6 +74,7 @@ test_topdown_weak_groups() {
}
test_default_stat
+test_stat_record_report
test_topdown_groups
test_topdown_weak_groups
exit $err
--
2.36.1.124.g0e6072fb45-goog
Powered by blists - more mailing lists